**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/initiate-workflow-action.md

# Initiate Workflow Action



Initiate a workflow action on a specific object workflow.

<Endpoint path="/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` (default) or `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{workflow_id}` | The workflow `id` field value. |
| `{workflow_action}` | The workflow action name retrieved from Retrieve Workflow Actions. |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, add any fields required to initiate the action. These will differ depending on your specified `{workflow_action}`. For more information about fields required for an action, [Retrieve Bulk Workflow Action Details](/#Retrieve_Bulk_Workflow_Action_Details). The following tables show common workflow actions in Vault, but there may be other actions which are not listed here.

##### Replace Workflow Owner: replaceworkflowowner {#replace-workflow-owner-replaceworkflowowner}

<FieldTable>
| Name | Description |
| --- | --- |
| `new_workflow_owner` | The `id` of the user who will become the new workflow owner, in the format `user:{id}`. For example, `user:6014`. |
</FieldTable>

##### Email Workflow Participants: emailparticipants {#email-workflow-participants-emailparticipants}

<FieldTable>
| Name | Description |
| --- | --- |
| `email_recipients` | A comma-delimited list of email recipients or groups, in the format `user:{user_id}` and `group:{group_label}`. For example, `user:1082,user:4802,group:incompleteTaskOwners,user:3582`. To find available `{group_label}`s, [Retrieve Details](/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/initiate-workflow-action) for `emailparticipants`. If a user is not a potential recipient based on their task status, the user will not receive an email. |
| `email_message` | The body of the email message to send to users. Maximum 5,000 characters. |
| `send_copy_to_self` | Set to `true` to send a copy of the email to the authenticated user. If omitted, defaults to `false`. |
</FieldTable>

## Query Parameters {#query-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v14.0/objects/objectworkflows/801/actions/cancel

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Actions](/medical/vault-api/api-reference/22.1/object-lifecycle-workflows/workflows/retrieve-workflow-actions)  
**Next:** [Workflow Tasks](/medical/vault-api/api-reference/22.1/object-lifecycle-workflows/workflow-tasks)